<?php
include "scrinit.php";
include $menu;
?>

<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<link href="style1.css" rel="stylesheet" type="text/css" />

<script type="text/javascript" src="https://code.jquery.com/jquery-1.9.1.min.js"></script>
<script type="text/javascript">
$(function() {
 $("#mathsubid").bind("change", function() {
     $.ajax({
         url: "change1.php",
         data: "mathsubid="+$("#mathsubid").val(),
         success: function(html) {
             $("#codeid").html(html);
         }
     });
 }); 
});

function popupCenter(pageURL, title, w, h) {
    var left = (screen.width / 2)  - (w / 2);
    var top  = (screen.height / 2) - (h / 2);
    var targetWin = window.open(pageURL, title, 'toolbar=no, location=no, directories=no, status=no, menubar=no, scrollbars=yes, resizable=no, copyhistory=no, width=900, height=300, top='+top+', left='+left);
}
</script>

</head>

<body>

<?php
require "dbconnect.php"; 
$dt=$_SESSION['dt'];
$name = $_SESSION['n'];
$usr=$_SESSION['usr'];
$access=$_SESSION['access'];
$dil=$_POST['dil'];echo $dil;
$s1="";$s2="";
echo $s1."__".$s2;
if ($dil == 0)
{
	echo "<br>"."xx";
                $s1 = "checked";
          }else {
                $s2 = "checked";
          }

 
?>
<form method="post">
<fieldset class='fx1'>
<legend > <b>ΚΑΤΑΧΩΡΗΣΗ/ΔΙΟΡΘΩΣΗ ΒΑΘΜΟΛΟΓΙΑΣ ΓΙΑ:</b></legend>
    <input type="radio" name="dil" value="0" <?php echo $s1;?> >ΔΗΛΩΜΕΝΗ ΑΞΙΟΛΟΓΗΣΗ&nbsp;&nbsp;&nbsp&nbsp;&nbsp
    <input type="radio" name="dil" value="1"  <?php echo $s2;?> >ΜΗ ΔΗΛΩΜΕΝΗ ΑΞΙΟΛΟΓΗΣΗ&nbsp;&nbsp;&nbsp&nbsp;&nbsp
    <input type="submit" name="dilomeni" value="Επιλογή">
</fieldset>
</form>

<?php
if (isset($_POST['dil']))
{
 
 $_SERVER['PHP_SELF'];	
 $dil=$_POST['dil'];
 if ($dil == 0)
 {
	echo "<p class='p1'>". "ΚΑΤΑΧΩΡΗΣΗ/ΔΙΟΡΘΩΣΗ ΒΑΘΜΟΛΟΓΙΑΣ". "</p>";
	echo "<p class='p2'>". "ΔΗΛΩΜΕΝΕΣ ΑΞΙΟΛΟΓΗΣΕΙΣ ΓΙΑ ΟΛΑ ΤΑ ΜΑΘΗΜΑΤΑ". "</p>";
	$q=mysqli_query($con,"select * from declarations where teacher='$usr' order by tetramino,class,testdate");
	$c=mysqli_num_rows($q);
	echo "<table class='myTable3' >
	<tr> 
	<th>α/α</th>
	<th>Ημερομηνία Διαγ</th>
	<th>Τετράμηνο</th>
	<th>Τμήμα/Συνδιδ</th>
	<th>Μάθημα</th>
	<th>Θέμα διαγ</th>
	<th>Καταχώρηση Βαθμολογίας</th>
	<th>Χρωστουν Αξιολόγηση</th>
	<th>Στατιστικά</th>
	</tr>";
	$i=1;
	if ($c==0)
	{
		echo "<p class='p2'>". "ΔΕΝ ΥΠΑΡΧΟΥΝ ΔΗΛΩΜΕΝΕΣ ΑΞΙΟΛΟΓΗΣΕΙΣ". "</p>";
	}
	else
	{
		while($row=mysqli_fetch_array($q))
		{
			echo "<tr>";
			echo "<td>". $i."</td>";
			
			echo "<td>". $row['testdate']."</td>";
			echo "<td>". $row['tetramino']."</td>";
			echo "<td>". $row['class']."</td>";
			echo "<td>". $row['subject']."</td>";
			echo "<td>". $row['thema']."</td>";
			$code=$row['code'];
			$dis='';
			if ($dt < $row['testdate'])
			{
				
				echo "<td>" . "". "</td>";
				echo "<td>" . "". "</td>";
				echo "<td>" . "". "</td>";
		    }
			else
			{
				if ($code==0)
				{
					$cd="Καταχώρηση";
					$code=$code.'/'.$row['testdate'].'/'.$row['class'].'/'.trim($row['subject']).'/'.$row['id'];
				}
				else
				{
					$cd='Διόρθωση';
					
				}
				echo "<td>" . "<a href=\"bathmo11.php?data=".$code."\">"."<b>".$cd."</b>". "</a>". "</td>";
				echo "<td>" . "<a href=\"bathmo11.php?data=".$code."\">"."<b>"."Χρωστούν"."</b>". "</a>". "</td>";
				echo "<td>" . "<a href=\"bathmo11.php?data=".$code."\">"."<b>"."Στατιστικά"."</b>". "</a>". "</td>";
			}
			echo "</tr>";
			$i++;
		}
		echo "<table>";
	}
  }
  else //****************** mh dilomeni aksiologisi *********************
  {
	include "selectmath.php";
	echo "<p class='p1'>". "ΚΑΤΑΧΩΡΗΣΗ/ΔΙΟΡΘΩΣΗ ΒΑΘΜΟΛΟΓΙΑΣ ΓΙΑ ΜΗ ΔΗΛΩΜΕΝΗ ΑΞΙΟΛΟΓΗΣΗ". "</p>";
	echo "<p class='p2'>". "ΕΠΙΛΟΓΗ ΤΜΗΜΑΤΟΣ ΚΑΙ ΜΑΘΗΜΑΤΟΣ". "</p>";
	
	$ind=$ind-1;

	?>

	<form  method='post' action='bathmo1.php'> 

		<label><b>Τμήμα/Μάθημα: </b></label><select name='mathsubid' >
		<?php
		echo "<option value=' '>-----------</option>";
		foreach ($mathsubj as $m)
		{ 		  
			  echo "<option value='$m'>$m</option>";
		}
		?>
		</select>
		<input type="submit" name="submitb" value="Επιβεβαίωση Επιλογής" >
		</form>
		<?php

  }
}

?>
</body>
</html>